> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# このコネクタのファイルのダウンロード

> このコネクタのファイルをダウンロードします。



## OpenAPI

````yaml 26.3/cloud/ja/api-reference/openapi.json POST /receiveFile
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /receiveFile:
    post:
      tags:
        - receiveFile
      summary: このコネクタのファイルのダウンロード
      description: このコネクタのファイルをダウンロードします。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/receiveFile_input'
      responses:
        '200':
          description: アクションの結果。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/receiveFile_output'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    receiveFile_input:
      type: object
      properties:
        WorkspaceId:
          type: string
          description: コネクタのワークスペースID。
        ConnectorId:
          type: string
          description: コネクタのID。必須です。
        PortId:
          description: ポートのid。
          type: string
        File:
          type: string
          description: ダウンロードするファイル。file を指定しない場合は、コネクタの設定に基づいてすべてのファイルがダウンロードされます。
        RemotePath:
          type: string
          description: コネクタの Remote Path 設定を上書きするパス（FTP、SFTP でのみ使用されます）
    receiveFile_output:
      type: array
      items:
        type: object
        properties:
          MessageId:
            type: string
            description: ファイルのメッセージID。
          Subfolder:
            description: ファイルのサブフォルダ。
            type: string
          File:
            description: ファイルの名前。
            type: string
          FileSize:
            type: string
            description: ファイルのサイズ。
          ErrorMessage:
            type: string
            description: >-
              同じ接続で複数のファイルが転送される場合、個々のファイル転送が失敗したときにエラーメッセージを返します。これが空の場合、ファイル転送は成功しています。
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````